Show organization (deprecated)
curl --request GET \
--url https://thirdparty.qonto.com/v1/organizations/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v1/organizations/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v1/organizations/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v1/organizations/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v1/organizations/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v1/organizations/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v1/organizations/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization": {
"slug": "super-organization-9798",
"legal_name": null,
"bank_accounts": [
{
"slug": "super-bankaccount-7150",
"iban": "FR7616798000010000005663951",
"bic": "TRZOFR21XXX",
"currency": "EUR",
"balance": 100,
"balance_cents": 10000,
"authorized_balance": 100,
"authorized_balance_cents": 10000,
"updated_at": "2021-03-23T14:00:46.667Z",
"status": "active"
}
]
}
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must be authenticated to perform this action"
}
]
}Organizations
Show organization (v1 · deprecated)
deprecated
Deprecated. Sunset on November 15, 2026. Please migrate to GET /v2/organization. See the migration guide.
GET
/
v1
/
organizations
/
{slug}
Show organization (deprecated)
curl --request GET \
--url https://thirdparty.qonto.com/v1/organizations/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v1/organizations/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v1/organizations/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v1/organizations/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v1/organizations/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v1/organizations/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v1/organizations/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"organization": {
"slug": "super-organization-9798",
"legal_name": null,
"bank_accounts": [
{
"slug": "super-bankaccount-7150",
"iban": "FR7616798000010000005663951",
"bic": "TRZOFR21XXX",
"currency": "EUR",
"balance": 100,
"balance_cents": 10000,
"authorized_balance": 100,
"authorized_balance_cents": 10000,
"updated_at": "2021-03-23T14:00:46.667Z",
"status": "active"
}
]
}
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must be authenticated to perform this action"
}
]
}Authentication: API key OAuth 2.0
Scope:
This schema backs both the legacy
Scope:
organization.read Sensitive
Related guide: Migrate to GET /v2/organization
This endpoint is deprecated and will be sunset on November 15, 2026.
Please migrate to GET /v2/organization.
See the migration guide.
GET /v1/organizations/{slug} and GET /v2/organizations/{slug} endpoints. Both return the list and details of a company’s bank accounts for the authenticated company.
The balance represents the actual amount of money on the account, in Euros. The authorized_balance represents the amount available for payments, taking into account transactions that are being processed. More information here
The bank account’s slug and iban will be required for you to retrieve the list of transactions inside that bank account, using List transactions.Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
Organization slug. Must match the authenticated organization.
Example:
"super-organization-9798"
Response
DEPRECATED. Please use Get organization and its bank_accounts instead.
Show child attributes
Show child attributes
Was this page helpful?